/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef INCLUDE_CURSESINPUTHANDLER_H_
#define INCLUDE_CURSESINPUTHANDLER_H_

#include <sys/ioctl.h>
#include <string>
#include <iostream>
#include <sstream>

#include "TCanvas.h"

#include "EpsParser.h"

#include "CursesOutputHandler.h"

class CursesInputHandler {
 public:
  CursesInputHandler();
  ~CursesInputHandler();

  void initialize(CursesOutputHandler* coh);
  void Cycle();
  void Add();
  void Help();
  void MoveSeperatorLeft();
  void MoveSeperatorRight();
  void PanelEntryInteraction();
  void Resize();
  void Save();
  void ScrollDown();
  void ScrollUp();

  void Start();

 private:
  CursesOutputHandler* m_coh;
  TH1* m_hBufferHist;
  int m_iCursorX;
  int m_iCursorY;
};

#endif  // INCLUDE_CURSESINPUTHANDLER_H_

