/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#ifndef INCLUDE_EPSPARSER_H_
#define INCLUDE_EPSPARSER_H_

#include <fstream>
#include <map>
#include <sstream>
#include <string>
#include <list>
#include <vector>

#include "EpsPolygon.h"
#include "EpsCommands.h"

class EpsParser {
 public:
  explicit EpsParser(const char* fName);
  virtual ~EpsParser();

  void Draw(WINDOW* w, int eps_xres, int eps_yres);
  void Draw(WINDOW* w);


  void ReadFile(const char* fName);
  void ReadEpsResolution();
  void GetListOfCommands();
  void GetDictOfDict();
  void ReplaceDictCommandsWithEpsCommands();
  void GetListOfObjects();

 public:
  std::list<std::string> FStrings;
  std::list<std::string> ObjStrings;
  std::vector<std::string> ListOfCommands;
  std::map<std::string, std::string> DictOfDict;
  std::vector<double> dStack;
  std::list<std::string> sStack;
  std::vector<EpsPolygon*> ListOfObjects;
  std::vector<EpsCoordinateList*> ListOfCoordinateObjects;
  int m_iEpsXres;
  int m_iEpsYres;
};

extern std::vector<std::string> &split(const std::string &s,
                                       char delim,
                                       std::vector<std::string> &elems,
                                       bool noEmpty);

extern std::vector<std::string> split(const std::string &s,
                                      char delim,
                                      bool noEmpty);

#endif  // INCLUDE_EPSPARSER_H_

