/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include <stdint.h>

#include "EpsDrawToTerm.h"

void quit() {
  endwin();
}

void initcursescolors() {
  for (int16_t f = 0; f != 8; f++) {
    for (int16_t b = 0; b != 8; b++) {
      if ((f == 0) && (b == 0))
        continue;
      init_pair(f+b*8, f, b);
    }
  }
}


int main(int argc, const char* argv[]) {
  if (argc != 2) {
    std::cout << "usage: EpsDrawToTerm ROOTFILE\n";
    return 1;
  }

  EpsParser* ep = new EpsParser(argv[1]);
  initscr();
  int CursesYRes, CursesXRes;
  getmaxyx(stdscr, CursesYRes, CursesXRes);

  if (has_colors()) {
    start_color();
    initcursescolors();
  }
  WINDOW* Panel = subwin(stdscr, CursesYRes, CursesXRes, 0, 0);

  ep->Draw(Panel);
  wrefresh(Panel);
  refresh();
  atexit(quit);
  getch();

  endwin();
  return 0;
}
