/* Copyright 2016 Dirk Duschinger */

//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include <cstdlib>

#include "ROOTTermBrowser.h"

void quit() {
  endwin();
}

int main(int argc, const char* argv[]) {
  if (argc < 2) {
    std::cout << "usage: ROOTTermBrowser ROOTFILE...\n";
    return 1;
  }
  PANEL* p = new_panel(newwin(1, 1, 0, 0));
  delete p;
  TFile* dummy_f = new TFile();
  // don't know why to write this, but otherwise it won't compile...
  delete dummy_f;
  TH1F* dummy_h = new TH1F("", "", 2, 1, 2);
  delete dummy_h;
  TTree* dummy_t = new TTree();
  delete dummy_t;
  TCanvas* dummy_c = new TCanvas();
  delete dummy_c;

  ROOTReader* rr = new ROOTReader(argc, argv);
  rr->ReadFiles();
  // std::cout<<*(rr->GetRPE())<<"\n";

  CursesOutputHandler* coh = new CursesOutputHandler(rr);
  CursesInputHandler* cih = new CursesInputHandler();
  cih->initialize(coh);
  cih->Cycle();
  refresh();
  atexit(quit);
  endwin();
  delete coh;
  delete cih;
  return 0;
}



